## org.firebirdsql.jdbc
Interface FirebirdConnectionProperties

All Known Subinterfaces:
  FirebirdPool

All Known Implementing Classes:
  AbstractFBConnectionPoolDataSource, FBConnectionPoolDataSource, FBConnectionProperties, FBManagedConnectionFactory, FBSimpleDataSource, FBWrappingDataSource, FBWrappingDataSource

    public interface FirebirdConnectionProperties

Connection properties for the Firebird connection. Main part of this interface corresponds to the Database Parameter Buffer, but also contains properties to specify default transaction parameters.

Method Summary
`int` `getBlobBufferSize()`
`int` `getBuffersNumber()`
`String` `getCharSet()`
`String` `getDatabase()`
`DatabaseParameterBuffer` `getDatabaseParameterBuffer()` Get the database parameter buffer corresponding to the current connection request information.
`String` `getDefaultIsolation()` Get the default transaction isolation level as string.
`int` `getDefaultTransactionIsolation()` Get the default transaction isolation level.
`String` `getEncoding()`
`String` `getNonStandardProperty(String key)` Get the property that does not have corresponding getter method by its name.
`String` `getPassword()`
`String` `getRoleName()`
`int` `getSocketBufferSize()`
`String` `getSqlDialect()`
`String` `getTpbMapping()` Get the used TPB mapping.
`TransactionParameterBuffer` `getTransactionParameters(int isolation)` Get the transaction parameter buffer corresponding to the current connection request information.
`String` `getType()`
`String` `getUserName()`
`String` `getUseTranslation()`
`boolean` `isDefaultResultSetHoldable()`
`boolean` `isTimestampUsesLocalTimezone()`
`boolean` `isUseStandardUdf()`
`boolean` `isUseStreamBlobs()`
`void` `setBlobBufferSize(int bufferSize)`
`void` `setBuffersNumber(int buffersNumber)`
`void` `setCharSet(String charSet)`
`void` `setDatabase(String database)`
`void` `setDefaultIsolation(String isolation)` Set the default transaction isolation level as string.
`void` `setDefaultResultSetHoldable(boolean isHoldable)`
`void` `setDefaultTransactionIsolation(int defaultIsolationLevel)` Set the default transaction isolation level.
`void` `setEncoding(String encoding)`
`void` `setNonStandardProperty(String propertyMapping)` Set the property that does not have corresponding setter method.
`void` `setNonStandardProperty(String key, String value)` Set the property that does not have corresponding setter method.
`void` `setPassword(String password)`
`void` `setRoleName(String roleName)`
`void` `setSocketBufferSize(int socketBufferSize)`
`void` `setSqlDialect(String sqlDialect)`
`void` `setTimestampUsesLocalTimezone(boolean timestampUsesLocalTimezone)`
`void` `setTpbMapping(String tpbMapping)` Set path to the properties file with the TPB mapping.
`void` `setTransactionParameters(int isolation, TransactionParameterBuffer tpb)` Set transaction parameters for the specified transaction isolation level.
`void` `setType(String type)`
`void` `setUserName(String userName)`
`void` `setUseStandardUdf(boolean useStandardUdf)`
`void` `setUseStreamBlobs(boolean useStreamBlobs)`
`void` `setUseTranslation(String translationPath)`

Method Detail

### getDatabase

    String getDatabase()

  Returns:
    path to the database including the server name and the port, if needed.

### setDatabase

    void setDatabase(String database)

  Parameters:
    `database` - path to the database including the server name and the port, if needed.

### getType

    String getType()

  Returns:
    type of the connection, for example, "PURE_JAVA", "LOCAL", "EMBEDDED", depends on the GDS implementations installed in the system.

### setType

    void setType(String type)

  Parameters:
    `type` - type of the connection, for example, "PURE_JAVA", "LOCAL", "EMBEDDED", depends on the GDS implementations installed in the system.

### getBlobBufferSize

    int getBlobBufferSize()

  Returns:
    BLOB buffer size in bytes.

### setBlobBufferSize

    void setBlobBufferSize(int bufferSize)

  Parameters:
    `bufferSize` - size of the BLOB buffer in bytes.

### getCharSet

    String getCharSet()

  Returns:
    Character set for the connection.
  See Also:
    `setCharSet(String)`

### setCharSet

    void setCharSet(String charSet)

  Parameters:
    `charSet` - Character set for the connection. Similar to `encoding` property, but accepts Java names instead of Firebird ones.

### getEncoding

    String getEncoding()

  Returns:
    Character encoding for the connection.
  See Also:
    `setEncoding(String)`

### setEncoding

    void setEncoding(String encoding)

  Parameters:
    `encoding` - Character encoding for the connection. See Firebird documentation for more information.

### getRoleName

    String getRoleName()

  Returns:
    SQL role to use.

### setRoleName

    void setRoleName(String roleName)

  Parameters:
    `roleName` - SQL role to use.

### getSqlDialect

    String getSqlDialect()

  Returns:
    SQL dialect of the client.

### setSqlDialect

    void setSqlDialect(String sqlDialect)

  Parameters:
    `sqlDialect` - SQL dialect of the client.

### getUseTranslation

    String getUseTranslation()

  Returns:
    path to the character translation table.

### setUseTranslation

    void setUseTranslation(String translationPath)

  Parameters:
    `translationPath` - path to the character translation table.

### isUseStreamBlobs

    boolean isUseStreamBlobs()

  Returns:
    `true` if stream blobs should be created, otherwise `false`.

### setUseStreamBlobs

    void setUseStreamBlobs(boolean useStreamBlobs)

  Parameters:
    `useStreamBlobs` - `true` if stream blobs should be created, otherwise `false`.

### isUseStandardUdf

    boolean isUseStandardUdf()

  Returns:
    `true` if driver should assume that standard UDF are installed.

### setUseStandardUdf

    void setUseStandardUdf(boolean useStandardUdf)

  Parameters:
    `useStandardUdf` - `true` if driver should assume that standard UDF are installed.

### getSocketBufferSize

    int getSocketBufferSize()

  Returns:
    socket buffer size in bytes, or -1 is not specified.

### setSocketBufferSize

    void setSocketBufferSize(int socketBufferSize)

  Parameters:
    `socketBufferSize` - socket buffer size in bytes.

### isTimestampUsesLocalTimezone

    boolean isTimestampUsesLocalTimezone()

  Returns:
    `true` if the Jaybird 1.0 handling of the calendar in corresponding setters. This is also compatible with MySQL calendar treatment.

### setTimestampUsesLocalTimezone

    void setTimestampUsesLocalTimezone(boolean timestampUsesLocalTimezone)

  Parameters:
    `timestampUsesLocalTimezone` - `true` if the Jaybird 1.0 handling of the calendar in corresponding setters. This is also compatible with MySQL calendar treatment.

### getUserName

    String getUserName()

  Returns:
    name of the user that will be used when connecting to the database.

### setUserName

    void setUserName(String userName)

  Parameters:
    `userName` - name of the user that will be used when connecting to the database.

### getPassword

    String getPassword()

  Returns:
    password corresponding to the specified user name.

### setPassword

    void setPassword(String password)

  Parameters:
    `password` - password corresponding to the specified user name.

### getBuffersNumber

    int getBuffersNumber()

  Returns:
    number of cache buffers that should be allocated for this connection, should be specified for ClassicServer instances, SuperServer has a server-wide configuration parameter.

### setBuffersNumber

    void setBuffersNumber(int buffersNumber)

  Parameters:
    `buffersNumber` - number of cache buffers that should be allocated for this connection, should be specified for ClassicServer instances, SuperServer has a server-wide configuration parameter.

### getNonStandardProperty

    String getNonStandardProperty(String key)

  Get the property that does not have corresponding getter method by its name.

  Parameters:
    `key` - name of the property to get.
  Returns:
    value of the property.

### setNonStandardProperty

    void setNonStandardProperty(String key,
                                String value)

  Set the property that does not have corresponding setter method.

  Parameters:
    `key` - name of the property to set.
    `value` - value of the property.

### setNonStandardProperty

    void setNonStandardProperty(String propertyMapping)

  Set the property that does not have corresponding setter method.

  Parameters:
    `propertyMapping` - parameter value in the ?propertyName[=propertyValue]? form, this allows setting non-standard parameters using configuration files.

### getDatabaseParameterBuffer

    DatabaseParameterBuffer getDatabaseParameterBuffer()
                                                       throws SQLException

  Get the database parameter buffer corresponding to the current connection request information.

  Returns:
    instance of `DatabaseParameterBuffer`.
  Throws:
    `SQLException` - if database parameter buffer cannot be created.

### getTpbMapping

    String getTpbMapping()

  Get the used TPB mapping.

  Returns:
    path to the TPB mapping.
  See Also:
    `setTpbMapping(String)`

### setTpbMapping

    void setTpbMapping(String tpbMapping)

  Set path to the properties file with the TPB mapping. The path begins with the protocol specification followed by the path to the resource. A special protocol `"res:"` should be used to specify resource in the classpath.

  For the compatibility reasons, if no protocol is specified, classpath is used by default.

  Properties file contains a mapping between the transaction isolation level (name of the constant in the `Connection` interface and a comma-separated list of TPB parameters.

  Parameters:
    `tpbMapping` - path to the properties file.

### getDefaultTransactionIsolation

    int getDefaultTransactionIsolation()

  Get the default transaction isolation level. This is the transaction isolation level for the newly created connections.

  Returns:
    default transaction isolation level.

### setDefaultTransactionIsolation

    void setDefaultTransactionIsolation(int defaultIsolationLevel)

  Set the default transaction isolation level.

  Parameters:
    `defaultIsolationLevel` - default transaction isolation level.

### getDefaultIsolation

    String getDefaultIsolation()

  Get the default transaction isolation level as string. This method is complementary to the `getDefaultTransactionIsolation()`, however it takes a string as parameter instead of a numeric constant.

  Returns:
    default transaction isolation as string.
  See Also:
    `setDefaultIsolation(String)`

### setDefaultIsolation

    void setDefaultIsolation(String isolation)

  Set the default transaction isolation level as string. This method is complementary to the `setDefaultTransactionIsolation(int)`, however it takes a string as parameter instead of a numeric constant.

  Following strings are allowed:

  - `"TRANSACTION_READ_COMMITTED"` for a READ COMMITTED isolation level.
  - `"TRANSACTION_REPEATABLE_READ"` for a REPEATABLE READ isolation level.
  - `"TRANSACTION_SERIALIZABLE"` for a SERIALIZABLE isolation level.

  Parameters:
    `isolation` - string constant representing a default isolation level.

### getTransactionParameters

    TransactionParameterBuffer getTransactionParameters(int isolation)

  Get the transaction parameter buffer corresponding to the current connection request information.

  Parameters:
    `isolation` - transaction isolation level for which TPB should be returned.
  Returns:
    instance of `TransactionParameterBuffer`.

### setTransactionParameters

    void setTransactionParameters(int isolation,
                                  TransactionParameterBuffer tpb)

  Set transaction parameters for the specified transaction isolation level. The specified TPB is used as a default mapping for the specified isolation level.

  Parameters:
    `isolation` - transaction isolation level.
    `tpb` - instance of `TransactionParameterBuffer` containing transaction parameters.

### isDefaultResultSetHoldable

    boolean isDefaultResultSetHoldable()

### setDefaultResultSetHoldable

    void setDefaultResultSetHoldable(boolean isHoldable)

Copyright © 2001-2010. All Rights Reserved.